
QGIS Application - Bug report #9503

Fill patterns are clipped when exporting rotated composer to PDF

2014-02-06 11:44 AM - Ed B

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18094

Description

In my composer I have a map with only a polygon shapefile layer.  The map is rotated to 290 degrees.  The polygon layer has some styling

applied (qml file attached below).

To replicate:

-Add shapefile

-Apply QML style using "Load Style..." 

-Create new composer

-Set paper to ANSI A, Portrait

-Add map to composer and change map rotation to 290 degrees

-Modify extents to match image from below

-Export to PDF

-You will get a message box about composition effect and Print as Raster will be checked, click close

-Save PDF to somewhere

-Review PDF and you should see along the top of the page part of the polygon is clipped.

History

#1 - 2014-02-07 05:29 AM - Giovanni Manghi

- Target version set to Version 2.2

- Priority changed from High to Normal

There is no crash or data corruption, so I'm lowering the priority.

#2 - 2014-02-16 02:07 PM - Giovanni Manghi

- OS version deleted (64 bit)

- Affected QGIS version changed from 2.0.1 to master

- Operating System deleted (Windows 7)

#3 - 2014-05-27 03:37 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you confirm whether you still see this issue in current master (v 2.3)? I can't reproduce this issue and suspect it has been fixed.

#4 - 2014-05-27 05:21 AM - Ed B
I can confirm it has been fixed, please close.

#5 - 2014-05-27 06:53 AM - Nyall Dawson

- Status changed from Feedback to Closed

Files

wm.qml 14.5 KB 2014-02-06 Ed B

polygons.zip 12.3 KB 2014-02-06 Ed B

extents.PNG 12 KB 2014-02-06 Ed B
